Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

Would like to build an AIR based fat client for Redmine using the open source twitter client called "spaz" as code basis (

http://code.google.com/p/spaz/).

Planned features:

Connecting to Multiple Redmine-Repositories

Global "mypage" -> GTD-ToDoList (Things-style http://www.culturedcode.com/things/)

Global Activity-List (what is happening)

Adding new tasks to projects

Task search

Project member details

Anyone else interested?

History

#1 - 2008-03-04 15:39 - Ale Muñoz

Please elaborate, I may be interested.

#2 - 2008-03-04 18:07 - Thomas Lecavelier

Beurk, I would hate that :)

I'd prefer to add a local chat room to a redmine instance (handle via Ajax) rather including Adobe software.

#3 - 2008-03-04 19:30 - Martin Herr

Thomas Eccard: What do you mean with "local chat room"? I don't want to chat ;) my goal is to stay connected to my redmine projects/tasks even if

my browser is closed.

Look at this:

http://www.flickr.com/photos/funkatron/1305741659/in/set-72157601827575795/

My purpose is to develope a cross-operating-system-fatclient like mylyn for eclipse but as standalone application (Win/Mac OS X/Linux). For me it's

equal using Adobe software or something else. I just found that open-source-implementation Spaz using Adobe AIR that could be modified to connect

to a redmine-REST-API... Do you have a better non-adobe-alternative?

#4 - 2008-03-04 19:47 - Michael Pirogov

2Martin, I've got some features you described via xmpp module. So you are in connect with redmine tracker from

ICQ,MSN,YIM,Jabber,anything-else. For example list of your current tasks, easy time tracking addition and many more. But I vote for members

TODO list to be implemented in main Redmine trunk. That's feature I really missing here. Anyway good luck ;-)

#5 - 2008-03-04 20:02 - Martin Herr

Michael Mohr: Great. I thought about a xmpp integration some time ago (we are using openfire for internal messaging in our company - 

http://www.igniterealtime.org/projects/openfire/index.jsp) But I think it would be hard to handle hundreds of tasks and different projects by sending

chat messeges to a "virtual redmine bot" - unless you are planing to implemented some kind of natural language processing ;)

Did you implement your xmpp-stuff as redmine-plugin with engines?

#6 - 2008-03-05 09:18 - Michael Pirogov

2Martin, correct. It's plugin based and working in another thread. Now I've no much time on it, but in current state it does:
Common

help - this message

version -  shows current version of me

lang [ru,en,cs] - Changing current language for conversation (TODO)

Projects

projects - Shows all projects you participated in

all projects - Shows all projects in a system

Tasks

tasks - shows all your tasks

all tasks - shows all your tasks, including closed one

task [task_number] - shows detailed info about task

[description] #[task_number] - adding reported time (hours) to specified issue

find [string] - find and shows up task containing string (TODO)

Users

status -  Shows occupancy status for all members

Utils

time - shows current time

cal - shows ASCII calendar for current month

[+..-] [number] - calculator

weather - weather forecast for Moscow

rate - echange rate for RUR/USD/EUR

wtf [WTF] - What The F*ck Acronyms

Most of usable things in my company is tasks and time adding.

#7 - 2008-03-09 00:29 - Christopher Hlubek

Hi Martin,

as you might already know, I'm quite interested, too!

Just getting started with AIR...

#8 - 2008-03-09 02:54 - Christopher Hlubek

BTW This one looks promising: http://extjs.com/blog/2008/02/24/tasks2/

I think we need decent support for forms and controls in some areas. The application itself could be rather small (like SPAZ) but with separate

windows for task details, etc.

#9 - 2008-04-08 18:49 - Maxim Krušina

Also something interesting:

http://www.adobe.com/cfusion/exchange/index.cfm?event=extensionDetail&loc=en_us&extid=1427018

http://klok.mcgraphix.com/klok/index.htm

#10 - 2008-06-04 16:30 - David Gillard

Hi Martin / everyone,

I just wondered if you had made any progress with an AIR client before I start looking at this.

#11 - 2009-06-22 12:09 - Manav Gupta

- Assignee set to Martin Herr

Hey guys,

Any update here?  I am keen on exploring this further and using / building an Adobe Air Client that truly integrates with RedMine.

Has anyone made any progress here yet?

#12 - 2009-09-22 08:08 - Petr Cervenka

Maxim Krušina wrote:
Also something interesting:
 Yes Klok with support for Redmine would be amazine! I think adobe air is great platform for such project! Support !

#13 - 2009-09-22 09:02 - Manav Gupta

Klok and Redmine with a iPhone app.

Anyone who's interested in undertaking this project?

#14 - 2009-09-22 09:07 - Maxim Krušina

I'm thinking about this client more than one year! If interested, we can create some drafts, project info, ideas, wireframe, etc.

What is very important to us are some global-overviews, or bird-perspective views... Redmine is excellent in managing separate ticket/versions, but

we need to see some global, quick and easy to read reports, which cannot be solved by configuring different ticket reports.

What we need to see? Very straightforward, easy to read reports with graphs, dates, deadlines etc.:

Workload of people, divideb by all users / internal uisers / external users

Time spent by days - for checking if everyone filled exact time - inernal/external/all users - additionaly with some colouring for under-above-limit

(ie less than 6 day úer day or more than 9 hours per day)

All deadlines, tickets, versions, etc.

Daily/Weekly/Monthy email reports - Every morning I need to see what my developers did yesterday, how much time they spent, if time was filled

properly, etc., I need to see report of emerging deadlines, for today, this week, this month, etc., projects progress, etc.

Some special functionalities for cleaning old pending tickets... it can be something like "tip of tyhe day", but it will be "Kill one old ticket per day" -

it can select one of old ticket assigned to you with sugesstion to close or other solve issue - usefull for continual cleaning of old tickets

And plenty of other ideas I have noted somewhere ;)

#15 - 2010-12-14 08:29 - Aleksandar Pavic

What's going on with this?

I've found something at

http://www.r-labs.org/projects/redmineair/

but it won't work with my installations of redmine...

#16 - 2013-03-20 18:19 - Anonymous

I fail to see why this issue exists (and why it is still open). If people want to work on an Adobe AIR based client for Redmine: Power to them, and I look

forward to seeing and trying the results! But it would seem that the way towards that would be to create a project at GitHub, Bitbucket, SourceForge,

Google Code etc., perhaps create a mailing list / forum, and discuss details there and put the code there. Of course referencing to that from the

Redmine forums etc. is still something you would want to do.

But it is unlikely that this issue (hidden among 3800 other open issues) is going to attract contributors...

#17 - 2013-03-20 18:20 - Anonymous

PS: For that matter, I also don't think Adobe AIR is the way to go for a modernized UI for Redmine; rather, I think HTML5 + JavaScript are, and

perhaps native clients for iOS and Android. But that's just me. :-).

#18 - 2013-03-20 20:01 - Daniel Felix

Max Horn wrote:

PS: For that matter, I also don't think Adobe AIR is the way to go for a modernized UI for Redmine; rather, I think HTML5 + JavaScript are, and

perhaps native clients for iOS and Android. But that's just me. :-).

 I would agree, that HTML5 and JS will be one of the best solutions.

Well, everyone is free to build it's own client solution. But I won't think, that native clients are needed. A good mobile theme would be great. The UI

overhaul would be really helpful too. :-)

#19 - 2013-03-20 20:09 - Maxim Krušina

This is really oooold ticket. Flash is dead!

#20 - 2020-02-12 17:33 - Anonymous

Removed message because of spam. (Bernhard Rohloff)

#21 - 2020-02-15 16:04 - Marius BĂLTEANU
- Status changed from New to Closed

- Assignee deleted (Martin Herr)

- Resolution set to Wont fix

It's hard to believe that someone will work on this or an eventual patch will be accepted.
